KDE 4.2 PyKDE API Reference for Marble

- KDE's Python API

# TileCreator Class Reference

`from PyKDE4.marble import *`

Inherits: QThread → QObject
Namespace: Marble

## Detailed Description

## Signals
| progress (int value)
## Methods
| __init__ (self, QString sourceDir, QString installMap, QString dem, QString targetDir=QString())
| __init__ (self, Marble.TileCreator a0)
| cancelTileCreation (self)
| progress (self, int value)
| run (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | sourceDir,
|  | QString | installMap,
|  | QString | dem,
|  | QString | targetDir=QString()
| ) |  |  |

__init__ | ( | self, |
|  | Marble.TileCreator | a0
| ) |  |  |

cancelTileCreation | ( |  | self ) |

progress | ( | self, |
|  | int | value
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("progress(int)"), target_slot)`

run | ( |  | self ) |